Get Parameter#
Description#
Returns a parameter matching the provided parameter ID. If no matching entity can be found, a 404 status is returned.
GET /api/v1/parameter/{parameterId}
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
parameterId |
path |
string |
true |
The unique identifier of the parameter |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId} \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId}" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId}', headers = headers)
print(r.json())
Returns#
200 - OK#
undefined
Example Responses#
{
"body": {
"choices": [
"undefined"
],
"created": "string",
"databaseId": "string",
"description": "string",
"id": "string",
"label": "string",
"listType": "string",
"mode": "string",
"name": "string",
"overridable": "boolean",
"scope": "string",
"selectListId": "string",
"type": "string",
"updated": "string",
"userId": "string",
"value": "undefined",
"version": "integer"
},
"code": "integer"
}